<?php
/**
 * Copyright (©) 2020 Pinpoint Designs LTD. All rights reserved.
 *
 * Author: Chandravadana Kandregula
 * Code Release Version: 1.0.0
 *
 * Class Days
 * @module Pinpoint_DispatchTimer
 */
namespace Pinpoint\DispatchTimer\Model\Config\Source;

use Magento\Framework\Data\OptionSourceInterface;
use Pinpoint\DispatchTimer\Helper\Data;

class Days implements OptionSourceInterface
{
    /**
     * @var Data
     */
    private $helper;

    /**
     * Days constructor.
     * @param Data $helper
     */
    public function __construct(Data $helper)
    {
        $this->helper = $helper;
    }

    /**
     * Get the list of days as an array of options.
     *
     * @return array
     */
    public function toOptionArray()
    {
        $options = [];
        foreach ($this->helper->getDaysOfWeek() as $key => $day) {
            $options[] = ['value' => $key, 'label' => $day];
        }
        return $options;
    }
}
