# Pinpoint Dispatch Timer Module

## Overview

**Pinpoint Dispatch Timer Module** is a custom Magento 2 module that enhances your e-commerce store by providing a dispatch timer feature. It allows you to display real-time shipping information and countdown timers for product dispatch, helping your customers make informed purchase decisions.

## Features

- **Dynamic Countdown Timer**: Show a real-time countdown timer indicating when the product will be dispatched.
- **Customizable Shipping Messages**: Easily customize shipping messages based on your store's shipping policies.
- **Standard Messages**: Support for displaying standard messages when needed, providing clarity to customers.
- **Configuration Settings**: All module settings can be easily configured through the Magento Admin panel. Admin can set a custom shipping message for a particular product from the product page in the admin area.(Catalog -> Products -> Select a Product -> Shipping Message)

## Installation

You can install the Dispatch Timer Module via Composer, the recommended way to install Magento 2 modules.

   - composer require pinpoint/module-dispatchtimer
   - bin/magento setup:upgrade

## Configuration

1. Navigate to Stores > Configuration. 
2. Under the Pinpoint Designs section, click on Dispatch Timer. 
3. Configure the module settings according to your store's requirements. 
4. Click Save Config to save your changes.

## Usage
After completing the installation and configuration steps, the dispatch timer will automatically appear on product pages based on your module settings. Customers visiting your store will now have access to real-time dispatch information.
